///////////////////////////////////////////////////
//Project 4.07 Piezo Fireworks
int piezo = 12;
int redLED = 9;
int blueLED = 11;
int thisLED;
int SW1 = 1;
long freqIn;
long blow1;
long blow2;
void setup(){
  pinMode(SW1,INPUT);
  pinMode(piezo,OUTPUT);
  pinMode(redLED,OUTPUT);
  pinMode(blueLED,OUTPUT);
}

void loop(){
  while(digitalRead(SW1)==HIGH){
  }
  //launch
  for(freqIn = 200; freqIn < 500; freqIn = freqIn + 2){
    piezoTone(1000000/freqIn,10);
  }
  delay(10);
  //explosion
  for(int k = 0; k < 250; k++){
    thisLED = redLED;
    if(k % 3 == 0) thisLED = blueLED;
    digitalWrite(thisLED, HIGH);
    blow1 = random(500,1000);
    blow2 = random(1,5);
    piezoTone(blow1,blow2);
    digitalWrite(thisLED,LOW);
  }   
}

void piezoTone(long freq, long duration){
  long aSecond = 1000000;
  long period = aSecond/freq;
  duration = duration*1000;
  duration = duration/period;
  for(long k = 0; k < duration; k++){
    digitalWrite(piezo,HIGH);
    delayMicroseconds(period/2);
    digitalWrite(piezo,LOW);
    delayMicroseconds(period/2);
  }
} 
///////////////////////////////////////////////////


