///////////////////////////////////////////////////
//Project 5.03 Light and Sound II
int photoTran = A1;
int reading = 0;
long clickTime = 0;
int piezo = 12;
long lastClick = 0;

void setup(){
  pinMode(photoTran,INPUT);
  pinMode(piezo,OUTPUT);
  Serial.begin(9600);
}

void loop(){
  reading = analogRead(photoTran);
  clickTime = (long) map(reading,0,1023,500,1);
  if(clickTime > 450) clickTime = 5000;
  if(millis() > lastClick + clickTime){
    piezoTone(4000,5);
    lastClick = millis();
  }
}

void piezoTone(long freq, long duration){
  long aSecond = 1000000;
  long period = aSecond/freq;
  duration = duration*1000;
  duration = duration/period;
  for(long k = 0; k < duration; k++){
    digitalWrite(piezo,HIGH);
    delayMicroseconds(period/2);
    digitalWrite(piezo,LOW);
    delayMicroseconds(period/2);
  }
}
///////////////////////////////////////////////////









