///////////////////////////////////////////////////
//Project 6.01 EEPROM
#include <EEPROM.h>

int eepromValue = 0;
int volatileValue = 0;
int SW1 = 1;
int SW2 = 4;
long now = 0;

void setup(){
  Serial.begin(9600);
  pinMode(SW1,INPUT);
  pinMode(SW2,INPUT);
 //read initial value
 eepromValue = EEPROM.read(0);
 eepromValue = eepromValue << 8;
 eepromValue = eepromValue | EEPROM.read(1);
}

void loop(){
  if(digitalRead(SW2)==LOW){
    eepromValue = eepromValue + 1;
    volatileValue = volatileValue + 1;
    EEPROM.write(0,eepromValue>>8);
    EEPROM.write(1,eepromValue);
    Serial.print("EEPROM Value = ");
    Serial.print(eepromValue);
    Serial.print(" Volatile Value = ");
    Serial.println(volatileValue);
  }
  if(digitalRead(SW1)==LOW and (millis()-now) > 2000){
    eepromValue = 0;
    now = millis();
    EEPROM.write(0,eepromValue >> 8);
    EEPROM.write(1,eepromValue);
    Serial.println("EEPROM value set back to zero");
  }
  delay(200);
}
///////////////////////////////////////////////////
