///////////////////////////////////////////////////
//Project I2C Address Scan
#include <Wire.h>
int count = 0;
int SW1 = 1;

void setup() {
  Serial.begin (9600);
  Wire.begin();
  pinMode(SW1,INPUT);
}

void loop(){
  Serial.println("Press SW1 to scan.");
  while(digitalRead(SW1)==HIGH){
  }
  count = 0;
  //loop through possible addresses
  for (int i = 1; i < 120; i++)
  {
    Wire.beginTransmission (i);
    //returns 0 if device found
    if (Wire.endTransmission () == 0)
    {
      Serial.print ("Adsress Found: ");
      Serial.println (i);
      Serial.print (" (0x");
      Serial.print (i, HEX);
      Serial.println (")");
      count++;
    } 
    delay (5); 
  } // end of for loop
  Serial.println ("Done.");
  Serial.print ("Found ");
  Serial.print (count);
  Serial.println (" device(s).");
}
///////////////////////////////////////////////////



